%define kmod_name fjexsock

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion %(uname -r)}
#%{!?kvariant: %define kvariant ""}

Name:     kmod-%{kmod_name}-rhel71
Version:  0.33
Release:  0%{?dist}
Group:    System Environment/Kernel
License:  GPLv2
Summary:  FUJITSU Extended Socket device driver kernel module
URL:      http://www.fujitsu.com
Vendor:   FUJITSU LIMITED
Packager: FUJITSU LIMITED

ExclusiveArch: x86_64

# Sources.
Source0:  %{kmod_name}-%{version}.tar.gz
Source5:  gpl-2.0.txt

%files
/lib/modules/%{kversion}/extra/%{kmod_name}/%{kmod_name}.ko
%{_sysconfdir}/depmod.d/kmod-%{kmod_name}.conf
%{_sysconfdir}/modules-load.d/%{kmod_name}.conf
%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/gpl-2.0.txt

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s) for the
FUJITSU Extended Socket.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n %{kmod_name}-%{version}
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf
echo "fjexsock" > %{kmod_name}.conf


%build
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=${PWD} KBUILD_EXTRA_SYMBOLS=${PWD}/Module.symvers V=1

%install
%{__install} -d %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} %{kmod_name}.ko %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -m0644 kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_sysconfdir}/modules-load.d/
%{__install} -m0644 %{kmod_name}.conf %{buildroot}%{_sysconfdir}/modules-load.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} -m0644 %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/

# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/depmod -aF /boot/System.map-%{kversion}

%postun
/sbin/depmod -aF /boot/System.map-%{kversion}

%changelog
* Wed Nov 12 2014 FUJITSU LIMITED - 1.0
- Initial RHEL7 build of the kernel module package.

